Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Richfaces UI Components UI 4.1.0.20110910-M2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.richfaces.component
Class AbstractList

    java.lang.Object
      javax.faces.component.UIComponent
          javax.faces.component.UIComponentBase
              org.richfaces.component.UIDataAdaptor
                  org.richfaces.component.UISequence
                      org.richfaces.component.AbstractList

All Implemented Interfaces:
  java.util.EventListener, javax.faces.component.NamingContainer, javax.faces.component.PartialStateHolder, javax.faces.component.StateHolder, javax.faces.component.TransientStateHolder, javax.faces.component.UniqueIdVendor, javax.faces.event.ComponentSystemEventListener, javax.faces.event.FacesListener, javax.faces.event.SystemEventListenerHolder, org.ajax4jsf.component.IterationStateHolder

Direct Known Subclasses:
  UIList

    public abstract class AbstractList

extends UISequence

JSF component class

Nested Class Summary

Nested classes/interfaces inherited from class org.richfaces.component.UISequence
`UISequence.PropertyKeys`

Nested classes/interfaces inherited from class org.richfaces.component.UIDataAdaptor
`UIDataAdaptor.ComponentVisitor`

Field Summary
`static java.lang.String` | `TERM`

Fields inherited from class org.richfaces.component.UIDataAdaptor
`COMPONENT_FAMILY, COMPONENT_TYPE, decodeVisitor, updateVisitor, validateVisitor`

Fields inherited from class javax.faces.component.UIComponent
`ATTRS_WITH_DECLARED_DEFAULT_VALUES, BEANINFO_KEY, bindings, COMPOSITE_COMPONENT_TYPE_KEY, COMPOSITE_FACET_NAME, CURRENT_COMPONENT, CURRENT_COMPOSITE_COMPONENT, FACETS_KEY, HONOR_CURRENT_COMPONENT_ATTRIBUTES_PARAM_NAME, VIEW_LOCATION_KEY`

Fields inherited from interface javax.faces.component.NamingContainer
`SEPARATOR_CHAR`

Constructor Summary
`AbstractList()`

Method Summary
`protected java.util.Iterator<javax.faces.component.UIComponent>` | `dataChildren()`
`protected java.util.Iterator<javax.faces.component.UIComponent>` | `fixedChildren()`
`abstract java.lang.String` | `getDir()`
`abstract java.lang.String` | `getLang()`
`abstract java.lang.String` | `getOnclick()`
`abstract java.lang.String` | `getOndblclick()`
`abstract java.lang.String` | `getOnkeydown()`
`abstract java.lang.String` | `getOnkeypress()`
`abstract java.lang.String` | `getOnkeyup()`
`abstract java.lang.String` | `getOnmousedown()`
`abstract java.lang.String` | `getOnmousemove()`
`abstract java.lang.String` | `getOnmouseout()`
`abstract java.lang.String` | `getOnmouseover()`
`abstract java.lang.String` | `getOnmouseup()`
`abstract java.lang.String` | `getOnrowclick()`
`abstract java.lang.String` | `getOnrowdblclick()`
`abstract java.lang.String` | `getOnrowkeydown()`
`abstract java.lang.String` | `getOnrowkeypress()`
`abstract java.lang.String` | `getOnrowkeyup()`
`abstract java.lang.String` | `getOnrowmousedown()`
`abstract java.lang.String` | `getOnrowmousemove()`
`abstract java.lang.String` | `getOnrowmouseout()`
`abstract java.lang.String` | `getOnrowmouseover()`
`abstract java.lang.String` | `getOnrowmouseup()`
`abstract java.lang.String` | `getRowClass()`
`abstract java.lang.String` | `getRowClasses()`
`abstract java.lang.String` | `getStyle()`
`abstract java.lang.String` | `getStyleClass()`
`javax.faces.component.UIComponent` | `getTerm()`
`abstract java.lang.String` | `getTitle()`
`abstract org.richfaces.component.ListType` | `getType()`

Methods inherited from class org.richfaces.component.UISequence
`captureOrigValue, createComponentState, createExtendedDataModel, createFacesModel, getActualFirst, getActualRows, getFirst, getIterationStatusVar, getRelativeClientId, getRelativeRowIndex, getRowIndex, getRowKeyConverter, getRows, getValue, preEncodeBegin, restoreOrigValue, setFirst, setIterationStatusVar, setRows, setupVariable, setValue, setValueBinding, setValueExpression, updateState, updateState`

Methods inherited from class org.richfaces.component.UIDataAdaptor
`allFixedChildren, broadcast, clearInitialState, createUniqueId, doUpdate, extractKeySegment, getComponentState, getContainerClientId, getContainerClientId, getExtendedDataModel, getFamily, getIterationState, getLocalComponentState, getRowCount, getRowData, getRowKey, getRowKeyVar, getStateVar, getVar, getVariablesMap, invokeOnComponent, invokeOnRow, isKeepSaved, isRowAvailable, iterate, keepSaved, markInitialState, preDecode, preUpdate, preValidate, processDecodes, processDecodesChildren, processEvent, processUpdates, processUpdatesChildren, processValidatesChildren, processValidators, queueEvent, resetChildState, resetDataModel, restoreChildState, restoreChildState, restoreState, saveChildState, saveChildState, saveState, setExtendedDataModel, setId, setIterationState, setKeepSaved, setRowKey, setRowKey, setRowKeyConverter, setRowKeyVar, setStateVar, setVar, visitDataChildren, visitDataChildrenMetaComponents, visitFixedChildren, visitTree, walk, wrapEvent`

Methods inherited from class javax.faces.component.UIComponentBase
`addClientBehavior, addFacesListener, decode, encodeBegin, encodeChildren, encodeEnd, findComponent, getAttributes, getChildCount, getChildren, getClientBehaviors, getClientId, getDefaultEventName, getEventNames, getFacesContext, getFacesListeners, getFacet, getFacetCount, getFacets, getFacetsAndChildren, getId, getListenersForEventClass, getParent, getRenderer, getRendererType, getRendersChildren, getValueBinding, isRendered, isTransient, processRestoreState, processSaveState, removeFacesListener, restoreAttachedState, saveAttachedState, setParent, setRendered, setRendererType, setTransient, subscribeToEvent, unsubscribeFromEvent`

Methods inherited from class javax.faces.component.UIComponent
`encodeAll, getClientId, getCompositeComponentParent, getCurrentComponent, getCurrentCompositeComponent, getNamingContainer, getResourceBundleMap, getStateHelper, getStateHelper, getTransientStateHelper, getTransientStateHelper, getValueExpression, initialStateMarked, isCompositeComponent, isInView, isVisitable, popComponentFromEL, pushComponentToEL, restoreTransientState, saveTransientState, setInView`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### TERM

    public static final java.lang.String TERM

See Also:
  Constant Field Values

Constructor Detail

### AbstractList

    public AbstractList()

Method Detail

### dataChildren

    protected java.util.Iterator<javax.faces.component.UIComponent> dataChildren()

  Overrides:
    `dataChildren` in class `UIDataAdaptor`

### fixedChildren

    protected java.util.Iterator<javax.faces.component.UIComponent> fixedChildren()

  Overrides:
    `fixedChildren` in class `UIDataAdaptor`

### getType

    public abstract org.richfaces.component.ListType getType()

### getTerm

    public javax.faces.component.UIComponent getTerm()

### getOnclick

    public abstract java.lang.String getOnclick()

### getOndblclick

    public abstract java.lang.String getOndblclick()

### getOnmousedown

    public abstract java.lang.String getOnmousedown()

### getOnmouseup

    public abstract java.lang.String getOnmouseup()

### getOnmouseover

    public abstract java.lang.String getOnmouseover()

### getOnmousemove

    public abstract java.lang.String getOnmousemove()

### getOnmouseout

    public abstract java.lang.String getOnmouseout()

### getOnkeypress

    public abstract java.lang.String getOnkeypress()

### getOnkeydown

    public abstract java.lang.String getOnkeydown()

### getOnkeyup

    public abstract java.lang.String getOnkeyup()

### getOnrowclick

    public abstract java.lang.String getOnrowclick()

### getOnrowdblclick

    public abstract java.lang.String getOnrowdblclick()

### getOnrowmousedown

    public abstract java.lang.String getOnrowmousedown()

### getOnrowmouseup

    public abstract java.lang.String getOnrowmouseup()

### getOnrowmouseover

    public abstract java.lang.String getOnrowmouseover()

### getOnrowmousemove

    public abstract java.lang.String getOnrowmousemove()

### getOnrowmouseout

    public abstract java.lang.String getOnrowmouseout()

### getOnrowkeypress

    public abstract java.lang.String getOnrowkeypress()

### getOnrowkeydown

    public abstract java.lang.String getOnrowkeydown()

### getOnrowkeyup

    public abstract java.lang.String getOnrowkeyup()

### getStyle

    public abstract java.lang.String getStyle()

### getStyleClass

    public abstract java.lang.String getStyleClass()

### getTitle

    public abstract java.lang.String getTitle()

### getDir

    public abstract java.lang.String getDir()

### getLang

    public abstract java.lang.String getLang()

### getRowClasses

    public abstract java.lang.String getRowClasses()

### getRowClass

    public abstract java.lang.String getRowClass()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Richfaces UI Components UI 4.1.0.20110910-M2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2011 JBoss, a division of Red Hat, Inc.. All Rights Reserved.